Bug 1023671 - (knapsen) Review Request: knapsen - Schnapsen card game for KDE
Review Request: knapsen - Schnapsen card game for KDE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2013-10-26 16:32 EDT by Mario Blättermann
Modified: 2013-11-10 19:35 EST (History)
4 users (show)

See Also:
Fixed In Version: knapsen-1.0.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 22:31:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2013-10-26 16:32:15 EDT
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/knapsen.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/knapsen-1.0.0-1.fc19.src.rpm
Description:
Schnapsen is the Austrian variant of the German card game Sixty-Six.

Fedora Account System Username: mariobl
Comment 1 Antonio Trande 2013-10-29 16:04:16 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v3 or later)", "Unknown or generated". 20 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1023671-knapsen/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in knapsen
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: knapsen-1.0.0-1.fc21.x86_64.rpm
          knapsen-1.0.0-1.fc21.src.rpm
knapsen.x86_64: W: spelling-error Summary(en_US) Schnapsen -> Schnapps
knapsen.x86_64: W: spelling-error %description -l en_US Schnapsen -> Schnapps
knapsen.x86_64: W: no-manual-page-for-binary knapsen
knapsen.src: W: spelling-error Summary(en_US) Schnapsen -> Schnapps
knapsen.src: W: spelling-error %description -l en_US Schnapsen -> Schnapps
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint knapsen
knapsen.x86_64: W: spelling-error Summary(en_US) Schnapsen -> Schnapps
knapsen.x86_64: W: spelling-error %description -l en_US Schnapsen -> Schnapps
knapsen.x86_64: W: no-manual-page-for-binary knapsen
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
knapsen (rpmlib, GLIBC filtered):
    /bin/sh
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libkdecore.so.5()(64bit)
    libkdegames.so.6()(64bit)
    libkdeui.so.5()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
knapsen:
    knapsen
    knapsen(x86-64)



Source checksums
----------------
http://kde-apps.org/CONTENT/content-files/158488-knapsen-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : c7f36a01a5f077de9b38338b667c7d2d70e63503b1a1ffc38189ce8166891880
  CHECKSUM(SHA256) upstream package : c7f36a01a5f077de9b38338b667c7d2d70e63503b1a1ffc38189ce8166891880


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1023671
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 2 Antonio Trande 2013-10-29 16:06:02 EDT
Package approved !
Comment 3 Mario Blättermann 2013-10-29 16:11:16 EDT
Many thanks for the review!

New Package SCM Request
=======================
Package Name: knapsen
Short Description: Schnapsen card game for KDE
Owners: mariobl
Branches: f19 f20
Comment 4 Gwyn Ciesla 2013-10-30 08:04:18 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-10-31 05:28:44 EDT
knapsen-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/knapsen-1.0.0-1.fc20
Comment 6 Fedora Update System 2013-10-31 05:28:57 EDT
knapsen-1.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/knapsen-1.0.0-1.fc19
Comment 7 Fedora Update System 2013-10-31 13:40:22 EDT
knapsen-1.0.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 8 Fedora Update System 2013-11-08 22:31:03 EST
knapsen-1.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-11-10 02:32:08 EST
knapsen-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.